      !***********************************************************************!
      SUBROUTINE  erreur(  u,  u_exact,  inew,  gerr  )
      !***********************************************************************!
!
      USE numerics
!
      IMPLICIT  NONE
!
!Erreur
      REAL(rp),  INTENT(OUT)   ::  gerr
!
!Solution  u  a  l'iteration  it  et  it+1
      REAL(rp),  DIMENSION(  sx-1:ex+1,  sy-1:ey+1,  sz-1:ez+1,  0:1),  INTENT(IN)  ::  u
      REAL(rp),  DIMENSION(  sx-1:ex+1,  sy-1:ey+1,  sz-1:ez+1),        INTENT(IN)  ::  u_exact
!
!Pointeur  de  tableau
      INTEGER,  INTENT(IN)  ::  inew
!
!--Declaration des variales locales
!
!Compteurs
      INTEGER   ::  i,  j,  k
!
      !***********************************************************************!
!
!Calcul  de  l'erreur
!$OMP DO REDUCTION( MAX:gerr )
      DO  k  =  sz,  ez
         DO  j  =  sy,  ey
            DO  i  =  sx,  ex
               gerr = MAX( gerr, ABS( u_exact(i,j,k) - u(i,j,k,inew) ) )
            END  DO
         END  DO
      END  DO
!$OMP END DO
!
      RETURN
      END  SUBROUTINE erreur
